unit UnitMenuItemTagdata;
{
Purpose:
    There are only so many dirty tricks you can do with ImageIndex, Tag, and Hint
    before you actually have to program it the correct way in the first place.
}

interface

uses Contnrs, UnitClipQueue, Windows;

type TItemType = (
    IT_NONE,
    IT_LINE,    {a literal line}
    IT_POPUPCLIP,    {Popup Clips}
    IT_PERMANENT, {Permanent Clips}
    IT_PERMANENT_GROUP,
    IT_POPUP, {submenu holder}
    IT_TEMP, {Recently Removed Clips}
    IT_SWITCH, {Switch Permanent Group}
    IT_PASTE_METHOD, {Paste Method checkboxes}
    IT_CLIPBOARD,   {Current Clipboard}
    IT_SELECTED, {Selected text in target program}
    IT_SYSTEM,   {items under the 'System' menu}
    IT_CLICKED,  {Recently Clicked Clips}
    IT_SEARCH,   {the 'Search' menu item}
    IT_FULL,    {Full/Configured button}
    IT_CANCEL, {the 'Cancel' button}
    IT_FORMMODE,
    IT_NEXTFIELD,

    IT_PASTING_TOOLS,
    IT_SYSTEM_MENU,
    IT_SWITCH_MENU,
    IT_ALLPERM_MENU,
    IT_PROGRAM_MENU,
    IT_PINNED,
    IT_CLIPSET_HEADER
);

type TMenuItemTagData = class(TObject)
    caption : string;
    name : string;
    text : string;
    clip : TClipItem;
    prefix : string;
    itemtype : TItemType;
    itemindex : integer;
    icon : HICON;
    PermanentGroupID : integer;

    public
        constructor Create();
end;



implementation

uses SysUtils;
constructor TMenuItemTagData.Create;
begin
    caption := '';
    name := '';
    text := '';
    prefix := '';
    clip := nil;
    itemtype := IT_NONE;
    itemindex := -1;
    icon := 0;
    PermanentGroupID := -1;
end;

end.

